package mx.com.amx.mx.dda.crn.dto;

import java.io.Serializable;

/**
 * Un objeto de tipo ItemTrasladoActivoFijoDTO representa cada uno de los posibles registros para el traslado de Activo Fijo (Titulos) a SAP 
 * Este objeto pertenece al ámbito DDA.
 */

public class ItemTrasladoActivoFijoDTO implements Serializable 
{
	private static final long serialVersionUID = 1L;
	private String codigoSAPAnt;
	private String descActNuevo;
	private String codigoDDANuevo;
	private String fechaInicio;
	private String fechaContabilizacion;
	private String programID;
	
	public String getCodigoSAPAnt() {
		return codigoSAPAnt;
	}
	public void setCodigoSAPAnt(String codigoSAPAnt) {
		this.codigoSAPAnt = codigoSAPAnt;
	}
	public String getDescActNuevo() {
		return descActNuevo;
	}
	public void setDescActNuevo(String descActNuevo) {
		this.descActNuevo = descActNuevo;
	}
	public String getCodigoDDANuevo() {
		return codigoDDANuevo;
	}
	public void setCodigoDDANuevo(String codigoDDANuevo) {
		this.codigoDDANuevo = codigoDDANuevo;
	}
	public String getFechaInicio() {
		return fechaInicio;
	}
	public void setFechaInicio(String fechaInicio) {
		this.fechaInicio = fechaInicio;
	}
	public String getFechaContabilizacion() {
		return fechaContabilizacion;
	}
	public void setFechaContabilizacion(String fechaContabilizacion) {
		this.fechaContabilizacion = fechaContabilizacion;
	}
	public String getProgramID() {
		return programID;
	}
	public void setProgramID(String programID) {
		this.programID = programID;
	}
	
	public String toString() 
	{
		StringBuilder result = new StringBuilder();
		String NEW_LINE = System.getProperty("line.separator");
		result.append(" [Begin of Class] " + NEW_LINE);
		result.append(this.getClass().getSimpleName() + " Object {" + NEW_LINE);
		result.append(" codigoSAPAnt: _" + this.getCodigoSAPAnt() + "_" + NEW_LINE);
		result.append(" descActNuevo: _" + this.getDescActNuevo() + "_" + NEW_LINE);
		result.append(" codigoDDANuevo: _" + this.getCodigoDDANuevo() + "_" + NEW_LINE);
		result.append(" [End of Class] " + NEW_LINE);
		result.append("}");
		NEW_LINE = null;

		return result.toString();
	}

	
}
